## org.eclipse.emf.ecore.xmi
Interface XMLResource.ResourceHandler

All Known Implementing Classes:
  BasicResourceHandler

Enclosing interface:
  XMLResource

    public static interface XMLResource.ResourceHandler

An interface for a resource handler that can be registered to receive call backs for loading from an input stream or for saving to an output stream.

Method Summary
`void` `postLoad(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)` Called after loading is done.
`void` `postSave(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)` Called before saving begins.
`void` `preLoad(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)` Called before loading begins.
`void` `preSave(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)` Called before saving begins.

Method Detail

### preLoad

    void preLoad(XMLResource resource,
                 java.io.InputStream inputStream,
                 java.util.Map<?,?> options)

  Called before loading begins.

  Parameters:
    `resource` - the resource being loaded.
    `inputStream` - the stream being read.
    `options` - the load options.

### postLoad

    void postLoad(XMLResource resource,
                  java.io.InputStream inputStream,
                  java.util.Map<?,?> options)

  Called after loading is done.

  Parameters:
    `resource` - the resource being loaded.
    `inputStream` - the stream being read.
    `options` - the load options.

### preSave

    void preSave(XMLResource resource,
                 java.io.OutputStream outputStream,
                 java.util.Map<?,?> options)

  Called before saving begins.

  Parameters:
    `resource` - the resource being saved.
    `outputStream` - the stream being written.
    `options` - the save options.

### postSave

    void postSave(XMLResource resource,
                  java.io.OutputStream outputStream,
                  java.util.Map<?,?> options)

  Called before saving begins.

  Parameters:
    `resource` - the resource being saved.
    `outputStream` - the stream being written.
    `options` - the save options.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.